> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/asset-uploader.md).

# 资源上传器

使用 Convai 资源上传器工具，将 Metahuman、Reallusion 角色以及场景从 Unreal Engine 上传到 Convai Sim 和 Avatar Studio。

Convai Asset Uploader 会将 Metahumans、Reallusion 角色以及 Unreal Engine 中的场景直接上传到 Avatar Studio 和 Convai Sim。该工具通过命令行界面自动完成项目创建、插件集成和资源打包。使用此页面安装该工具，并将其运行于 Unreal Engine <code class="expression">space.vars.asset\_uploader\_unreal\_version</code> 项目，并上传你的第一个资源。

{% hint style="danger" %}
Asset Uploader 仅适用于 Professional Plan 及以上版本。
{% endhint %}

{% embed url="<https://youtu.be/eFK9RFHDdco>" %}
Convai Asset Uploader 工具使用指南
{% endembed %}

***

### 前置条件

在运行 Asset Uploader 之前，请确认以下内容：

* Unreal Engine <code class="expression">space.vars.asset\_uploader\_unreal\_version</code>
* 来自 [Convai 控制面板](https://convai.com/)
* .NET 6.0 运行时（控制台应用程序）— [下载 .NET 6.0 控制台运行时](https://dotnet.microsoft.com/en-us/download/dotnet/6.0/runtime?cid=getdotnetcore\&os=windows\&arch=x64)
* Unreal Engine 的 <code class="expression">space.vars.asset\_uploader\_unreal\_version</code> [交叉编译工具链要求](https://dev.epicgames.com/documentation/en-us/unreal-engine/linux-development-requirements-for-unreal-engine?application_version=5.8)，包括 [工具链版本历史](https://dev.epicgames.com/documentation/en-us/unreal-engine/linux-development-requirements-for-unreal-engine#version-history)
* Unreal Engine 的 Linux 二进制文件 <code class="expression">space.vars.asset\_uploader\_unreal\_version</code>，可通过 Epic Games Launcher 获取

***

### 下载并运行该工具

{% stepper %}
{% step %}

#### 下载 Asset Uploader

下载最新的 `AssetUploaderTool.exe` 来自 [Convai Asset Uploader GitHub 发布页](https://github.com/Conv-AI/Convai-UnrealEngine-ModdingTool/releases)。将文件移动到你希望新 Unreal Engine 项目创建的目录中——该工具会自动创建并配置 Convai Unreal Engine 项目。
{% endstep %}

{% step %}

#### 运行上传工具

双击 `AssetUploaderTool.exe` 以运行它。如果 Windows 显示“Windows 已保护你的电脑”界面，请选择 **更多信息 > 仍然运行**。该工具可以安全运行——之所以出现警告，是因为该工具目前处于 beta 阶段且未进行数字签名。
{% endstep %}

{% step %}

#### 按照提示操作

该工具会在终端窗口中打开，并引导你完成：

1. **Unreal Engine 路径检测** — 请确认类似以下的消息： `找到有效的 Unreal Engine 路径：C:/Program Files/Epic Games/UE_5.8`。输入 `Y` 以确认该路径，或者 `N` 输入其他路径。
2. **项目配置** — 输入项目名称和你的 Convai API 密钥。
3. **资源类型选择** — 按 `1` 以上传场景，或 `2` 以上传头像。
4. **头像类型选择** （仅适用于头像）— 回答 `你是否在头像中使用 Metahuman？` 使用 `Y` 用于 MetaHuman 设置，或 `N` 用于 Reallusion 设置。
   {% endstep %}
   {% endstepper %}

***

### 验证上传

配置完成后，该工具会生成一个新的 Unreal Engine 项目，安装并配置 Convai 插件，并开始编译项目。终端显示以下内容时，上传即完成：

```
Unreal 编译已成功完成
```

按 `按 Enter` 退出。

新项目会创建在与以下内容相同的目录中： `AssetUploaderTool.exe`。例如，如果该工具放置在 `Downloads`，则项目会生成在 `Downloads`.

***

### 故障排除

#### .NET 运行时错误在运行该工具时出现

**症状：** 该工具报告缺少 .NET 运行时错误。

**原因：** .NET 6.0 控制台应用程序运行时未安装。

**修复：** 安装 [.NET 6.0 控制台应用程序运行时](https://dotnet.microsoft.com/en-us/download/dotnet/6.0/runtime?cid=getdotnetcore\&os=windows\&arch=x64).

**验证：** 重新运行 `AssetUploaderTool.exe` — 该工具启动时不会再出现运行时错误。

***

### 项目和插件限制

* 请勿删除或重命名 `ConvaiEssentials` 文件夹。
* 不要更改插件文件夹之外的全局项目设置。
* 对其他 Unreal Engine 版本的支持正在开发中。

***

### 下一步

仅支持上传 MetaHuman 和 Reallusion 头像。

{% content-ref url="/pages/69cb60fe0b9585cb40eca5a1c91e3a0e96d346ef" %}
[MetaHuman 头像](/api-docs/zh/wu-dai-ma-ti-yan/avatar-studio-experiences/customizing-your-avatar/configure-avatar/uploading-avatars/metahuman-avatars.md)
{% endcontent-ref %}

{% content-ref url="/pages/3069faf39cce4edbd0215d51e68dfd2c35d9b04c" %}
[Reallusion 头像](/api-docs/zh/wu-dai-ma-ti-yan/avatar-studio-experiences/customizing-your-avatar/configure-avatar/uploading-avatars/reallusion-avatars.md)
{% endcontent-ref %}

***

### 需要帮助？

如果你遇到问题或有疑问，请通过以下渠道联系： [Convai 开发者论坛](https://forum.convai.com/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/asset-uploader.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
